<?php

$config = (new \Mailbox\Application\Config())
    ->setHost('imap.yandex.ru')
    ->setLogin('autowestby')
    ->setPassword(include 'pass/autowestby.php')
    ->setPort(993)
    ->setSsl(true)
    ->setLimit(1000)
    ->setSocketDebug(true);






$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('autowest.doc@gmail.com')
        ->setFilterByMailBoxName('autowest')
        ->setSearchBySubject('sklad1')
        ->setSearchByAttachmentName('склад')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);



return;


$config = (new \Mailbox\Application\Config())
    ->setHost('mail.autoecat.ru')
    ->setLogin('ekb@autoecat.ru')
    ->setPassword(include 'pass/ekb-autoecat-ru.php')
    ->setPort(143)
    ->setSsl(false)
    ->setLimit(2000)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('no-reply@rossko.ru')
        ->setSearchBySubject('Реализация')
        ->setSearchByAttachmentName('Реализация')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);



return;


$config = (new \Mailbox\Application\Config())
    ->setHost('imap.mail.ru')
    ->setLogin('post.price@mail.ru')
    ->setPassword(include 'pass/post-price-mail-ru.php')
    ->setPort(993)
    ->setSsl(true)
    ->setLimit(2000)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('price@choice4parts.com')
        ->setSearchBySubject('pricelist')
        ->setSearchByAttachmentName('MOTORLINE_PRICE_DISCOUNT-30_WEB')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);



return;

$config = (new \Mailbox\Application\Config())
    ->setHost('imap.mail.ru')
    ->setLogin('sales@beta-auto.ru')
    ->setPassword(include 'pass/sales-beta-auto-ru.php')
    ->setPort(993)
    ->setSsl(true)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('galj63@mail.ru')
        ->setSearchBySubject('Наличие')
        ->setSearchByAttachmentName('Наличие')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);

return;









$config = (new \Mailbox\Application\Config())
    ->setHost('imap.mail.ru')
    ->setLogin('post.price@mail.ru')
    ->setPassword(include 'pass/post-price-mail-ru.php')
    ->setPort(993)
    ->setSsl(true)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('no-reply@autotrade.su')
        ->setSearchBySubject('Апаринки')
        ->setSearchByAttachmentName('Прайс')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;

$config = (new \Mailbox\Application\Config())
    ->setHost('imap.mail.ru')
    ->setLogin('priceetape@mail.ru')
    ->setPassword(include 'attachments/pass/priceetape-mail-ru.php')
    ->setPort(993)
    ->setSsl(true)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('sale@awsall4auto.ru')
        ->setSearchBySubject('Наличие')
        ->setSearchByAttachmentName('Price')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;





$config = (new \Mailbox\Application\Config())
    ->setHost('imap.mail.ru')
    ->setLogin('post.price@mail.ru')
    ->setPassword(include 'attachments/pass/post-price-mail-ru.php')
    ->setPort(993)
    ->setSsl(true)
    //->setLimit(10)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmail('no-reply@autotrade.su')
        ->setSearchBySubject('Прайс')
        ->setSearchByAttachmentName('Прайс')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;
$config = (new \Mailbox\Application\Config())
    ->setHost('imap.gmail.com')
    ->setLogin('avto.deko01@gmail.com')
    ->setPassword(include 'attachments/pass/avto-deko01-gmail-com.php')
    ->setPort(993)
    ->setSsl(true)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmail('info@centrgaz.com.ua')
        ->setSearchByAttachmentName('cgz_price')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;
$config = (new \Mailbox\Application\Config())
    ->setHost('imap.mail.ru')
    ->setLogin('priceAI@beta-auto.ru')
    ->setPassword(include 'attachments/pass/priceAI-beta-auto-ru.php')
    ->setPort(993)
    ->setSsl(true)
    ->setLimit(10)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmail('sale@awsall4auto.ru')
        ->setSearchBySubject('Наличие')
        ->setSearchByAttachmentName('Price')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;




$config = (new \Mailbox\Application\Config())
    ->setHost('imap.gmail.com')
    ->setLogin('avto.deko01@gmail.com')
    ->setPassword('***')
    ->setPort(993)
    ->setSsl(true)
    ->setSocketDebug(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByFromEmails('info@centrgaz.com.ua')
        ->setSearchByAttachmentName('cgz_price')
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;

$config = (new \Mailbox\Application\Config())
    ->setHost('imap.gmail.com')
    ->setLogin('avto.deko01@gmail.com')
    ->setPassword('***')
    ->setPort(993)
    ->setSsl(true);


$criteria =
    (new \Mailbox\Application\MessageSearchCriteria())
        ->setFilterByMailBoxName('BASTION')
        ->setFilterByFromEmails('robot@bastion.od.ua')
        ->setSearchBySubject('Бастион (Спец-автотехника-М)')
        ->setSearchByAttachmentName('Остатки412')//ocs_Приз-АвтоТрейд
        ->setFilterByAttachmentExt(['txt', 'csv', 'xls', 'xlsx', 'zip', 'rar'])
        ->setLimit(1);


return;


$configBeta = (new Config())
    ->setHost("imap.mail.ru")
    ->setLogin("avto.deko01@gmail.com")
    ->setPassword("***")
    ->setPort(993)
    ->setSsl(true)
    ->setCacheDir(__DIR__ . "/cache")//каталог кеша
    ->setAttachmentsDir(__DIR__ . "/attachments")//каталог для вложений
    ->setSocketDebug(true) # выволит в лог результаты и запросы идущее напрямую на сервер через сокет
;

$config
    = (new Config())
    ->setHost("imap.gmail.com")
    ->setLogin("testwapprices@gmail.com")
    ->setPassword("****")
    ->setPort(993)
    ->setSsl(true)
    ->setCacheDir(__DIR__ . "/cache")//каталог кеша
    ->setAttachmentsDir(__DIR__ . "/attachments")//каталог для вложений
    ->setSocketDebug(true) # выволит в лог результаты и запросы идущее напрямую на сервер через сокет
;


$configNemanauto
    = (new Config())
    ->setHost("imap.masterhost.ru")
    ->setLogin("order@nemanauto.ru")
    ->setPassword("****")
    ->setPort(993)
    ->setSsl(true)
    ->setCacheDir(__DIR__ . "/cache")//каталог кеша
    ->setAttachmentsDir(__DIR__ . "/attachments")//каталог для вложений
    ->setSocketDebug(true) # выволит в лог результаты и запросы идущее напрямую на сервер через сокет
;

$configBeta = (new Config())
    //ProtocolConnectionInterface
    ->setHost("imap.mail.ru")
    ->setLogin("priceAI@beta-auto.ru")
    ->setPassword("****")
    ->setPort(993)
    ->setSsl(true)
    //RepositoryConfigInterface
    ->setCacheDir(__DIR__ . "/cache")//каталог кеша
    ->setAttachmentsDir(__DIR__ . "/attachments")//каталог для вложений
    ->setSocketDebug(true) # выволит в лог результаты и запросы идущее напрямую на сервер через сокет
;
